# Overview

This charm provides [Review Board](http://www.reviewboard.org/), a
tool for reviewing source code, documentation and other text-based
files. It offers a powerful web-based interface with broad browser
support for managing review requests and reviewing code.

This charm will deploy Review Board and connect it to a running
PostgreSQL database. This charm will deploy the Review Board files in
`/var/www/reviewboard/`


# Usage

To deploy this charm you will need at a minimum: a cloud environment,
working Juju installation an admin password and, finally, a successful
bootstrap. Once bootstrapped, deploy the PostgreSQL charm and then
this Review Board charm, setting the admin password:

    juju deploy postgresql
    juju deploy reviewboard
    juju set reviewboard admin-password=`YOUR_SECURE_PASSWORD`

Add a relation between the two of them:

    juju add-relation postgresql:db reviewboard

And finally expose the Review Board service:

    juju expose reviewboard

You can now login to your freshly minted Review Board by looking at
the public address of your reviewboard unit in `juju status`.  Log in
their with username `admin` and the password you set above.

## Known Limitations and Issues

* Add support for MySQL as a database backend.
 * Switch package installation between `python-psycopg2` and `python-mysqldb`.
 * Change configuration of rb-site command.
* Add configuration for setting up initial repositories?
* Optionally allow relation to separate
 [memcached](https://jujucharms.com/sidebar/search/precise/memcached/)
 charm instead of using local memcached.

# Configuration

The `admin-password` is a required configuration option, which sets
the password for the administrator user named `admin` which the charm
will automatically create.

By setting the `host` configuration option, you can change the base
URL that Review Board thinks it's installed at. This is optional and
if left as the default "localhost" the charm will use the unit's
public address.

# Contact Information

## ReviewBoard

- [Review Board website](http://www.reviewboard.org/)
- [Bug Tracker](http://www.reviewboard.org/bugs/)
- [Review Board's Review Board](http://reviews.reviewboard.org/)
- [User mailing list](http://groups.google.com/group/reviewboard),
- [Dev mailing list](http://groups.google.com/group/reviewboard-dev)
